pilot-install-nets(1)

NAME
pilot-install-netsync - reads or sets the Network Preferences information on a Palm Device.

SECTION

pilot-link: Userland conduits

SYNOPSIS

 pilot-install-netsync [-p|--port <port>] [--version] [-?|--help] [--usage] [-q|--quiet] [-e|--enable] [-d|--disable] [-n|--name name] [-a|--address address] [-m|--mask netmask]

DESCRIPTION

 pilot-install-netsync allows the user to read or change the Network Preferences stored on the Palm.

OPTIONS

  pilot-install-netsync options
                        -e, --enable

Enable the LanSync operation (Used for performing a "Network" HotSync (synchronize across the Internet for example) instead of "Local" HotSync).
                        -d, --disable

Disable the LANSync setting on the Palm
                        -a,
                        --address=address

Set the IP address of the remote machine you wish to connect to via "Network" HotSync. This is not the IP address of the Palm device itself. In most cases the Palm will be assigned an IP address automatically by your desktop or server-side configuration.
                        -n,
                        --name hostname

Sets the hostname of the remote machine you wish to connect to via "Network" HotSync. This is not the hostname of the Palm device itself.
                        -i,
                        --ip ip

This option is no longer supported in 0.12 - see -a, --address.
                        -m,
                        --mask netmask

Set the netmask of the remote machine you wish to connect to via "Network" HotSync. This is not the netmask address of the Palm device itself, it should be assigned a netmask value at connection time, based on your desktop or server-side configuration.

  Conduit Options
                        -p, --port lt;port>

Use device file <port> to communicate with the Palm handheld. If this is not specified, pilot-install-netsync will look for the $PILOTPORT environment variable. If neither are found or supplied, pilot-install-netsync will print the usage information.
                        -q,
                        --quiet

Suppress 'Hit HotSync button' message
                        -v, --version

Display version of pilot-install-netsync and exit without connecting.

  Help Options
                        -h, --help

Display the help synopsis for pilot-install-netsync and exit without connecting.
                        --usage

Display a brief usage message and exit without connecting.

USAGE

The program will connect to a target Palm handheld, and read and display or set the Network Preferences information specified or display the Network Preferences stored on the Palm device.

EXAMPLE

 -p usb: -H "NEPTUNE" -a 10.0.1.10 -n 255.255.255.0

AUTHOR

 pilot-install-netsync was created from the original pilot-install-user application originally written by D. Jeff Dionne <jeff@RyeHam.ee.ryerson.ca>, and was split into a separate conduit by JP Rosevear < jpr@ximian.com > .

This manual page was converted to XML by Neil Williams <linux@codehelp.co.uk>

REPORTING BUGS

We have an online bug tracker. Using this is the only way to ensure that your bugs are recorded and that we can track them until they are resolved or closed. Reporting bugs via email, while easy, is not very useful in terms of accountability. Please point your browser to http://bugs.pilot-link.org: http://bugs.pilot-link.org and report your bugs and issues there.

COPYRIGHT

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

SEE ALSO

 pilot-install-user(1), pilot-link(7).